### Struct

# Qmi MessageGasDmsGetFirmwareListInput

since: 1.24

#### Description [src]

    struct QmiMessageGasDmsGetFirmwareListInput {
      /* No available fields */
    }

The `QmiMessageGasDmsGetFirmwareListInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.24

#### Constructors

###### qmi_message_gas_dms_get_firmware_list_input_new

Allocates a new `QmiMessageGasDmsGetFirmwareListInput`.

since: 1.24

#### Instance methods

###### qmi_message_gas_dms_get_firmware_list_input_get_mode

Get the ‘Mode’ field from `self`.

since: 1.24

###### qmi_message_gas_dms_get_firmware_list_input_get_name

Get the ‘Name’ field from `self`.

since: 1.24

###### qmi_message_gas_dms_get_firmware_list_input_get_slot_index

Get the ‘Slot Index’ field from `self`.

since: 1.24

###### qmi_message_gas_dms_get_firmware_list_input_get_version

Get the ‘Version’ field from `self`.

since: 1.24

###### qmi_message_gas_dms_get_firmware_list_input_ref

Atomically increments the reference count of `self` by one.

since: 1.24

###### qmi_message_gas_dms_get_firmware_list_input_set_mode

Set the ‘Mode’ field in the message.

since: 1.24

###### qmi_message_gas_dms_get_firmware_list_input_set_name

Set the ‘Name’ field in the message.

since: 1.24

###### qmi_message_gas_dms_get_firmware_list_input_set_slot_index

Set the ‘Slot Index’ field in the message.

since: 1.24

###### qmi_message_gas_dms_get_firmware_list_input_set_version

Set the ‘Version’ field in the message.

since: 1.24

###### qmi_message_gas_dms_get_firmware_list_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.24